jQuery(function($){
	
	//Cargar combo procedimientos
	$("#comboProcedimiento").rup_combo({
		blank : "",
		source : CTX_PATH + "procedimientos/procedimientosWS",
		sourceParam : {
			label : "descripcionConCodProcedure",
			value : "idProcedimiento"
		},
		width: 640,
		ordered: true,
	});
	
	
	//Definición del formulario
	$("#crearInspeccionModalForm").rup_form({
		feedback: $("#crearInspeccionModalFeedback"),
		url: CTX_PATH + "inspecciones/generarInspeccion",
		type: "POST",
		contentType: "application/json",
		dataType:"json",
		validate:{ 
			liveCheckingErrors : false,
			showFieldErrorAsDefault : true,
			showErrorsInFeedback : false,
			showFieldErrorsInFeedback : true,
			rules:{
				"procedimiento.idProcedimiento" : { required : true }
			}
	   },
	   success: function(data){
		   $("#crearInspeccionModal").rup_dialog("close");
		   window.location = CTX_PATH + data;
	   },
	   error: function(){
		   $("#crearInspeccionModalFeedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		   $("#crearInspeccionModalFeedback").rup_feedback("set", $.rup.i18n.app.inspecciones.crearInspeccion.crearError, "error");
	   }
	});
	
	//Botón crear inspección modal
	$("#crearInspeccionModalGuardar").click(function(){
		$("#crearInspeccionModalForm").submit();
	});
	
	//Botón cancelar modal
	$("#crearInspeccionModalCancelar").click(function(){
		$("#crearInspeccionModal").rup_dialog("close");
	});
	
});